Option Explicit
'LinkConsole.vbs
'
'This is a WSH script used to make it easier to edit a
'compiled VB6 EXE using LINK.EXE to create a console
'mode program.
'
'Drag the EXE's icon onto the icon for this file, or
'execute it from a command prompt as in:
'
' LinkConsole.vbs <EXEpath&file>
'
'Be sure to set up the LINK path to match your VB6 installation.

If WScript.Arguments.Count < 1 Then
  WScript.Echo "Missing EXE parameter." & vbNewLine _
             & "Use LinkConsole.vbs <EXEpath&file>" & vbNewLine _
             & "or drag EXE onto this script's icon."
Else
  With CreateObject("WScript.Shell")
    .Run """C:\Program Files\Microsoft Visual Studio\VB98\LINK.EXE""" _
       & " /EDIT /SUBSYSTEM:CONSOLE " _
       & """" & WScript.Arguments(0) & """"
  End With
  WScript.Echo "Complete!"
End If
